Mailinglist Archive: opensuse-updates (48 mails)

< Previous Next >
openSUSE-SU-2014:0974-1: elfutils
openSUSE Security Update: elfutils
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0974-1
Rating: low
References: #872785
Cross-References: CVE-2014-0172
Affected Products:
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

Fix integer overflow in check_section (CVE-2014-0172, bnc#872785)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-491

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-491

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

elfutils-0.155-6.4.1
elfutils-debuginfo-0.155-6.4.1
elfutils-debugsource-0.155-6.4.1
libasm-devel-0.155-6.4.1
libasm1-0.155-6.4.1
libasm1-debuginfo-0.155-6.4.1
libdw-devel-0.155-6.4.1
libdw1-0.155-6.4.1
libdw1-debuginfo-0.155-6.4.1
libebl-devel-0.155-6.4.1
libebl1-0.155-6.4.1
libebl1-debuginfo-0.155-6.4.1
libelf-devel-0.155-6.4.1
libelf1-0.155-6.4.1
libelf1-debuginfo-0.155-6.4.1

- openSUSE 13.1 (x86_64):

libasm1-32bit-0.155-6.4.1
libasm1-debuginfo-32bit-0.155-6.4.1
libdw1-32bit-0.155-6.4.1
libdw1-debuginfo-32bit-0.155-6.4.1
libebl1-32bit-0.155-6.4.1
libebl1-debuginfo-32bit-0.155-6.4.1
libelf-devel-32bit-0.155-6.4.1
libelf1-32bit-0.155-6.4.1
libelf1-debuginfo-32bit-0.155-6.4.1

- openSUSE 12.3 (i586 x86_64):

elfutils-0.155-2.4.1
elfutils-debuginfo-0.155-2.4.1
elfutils-debugsource-0.155-2.4.1
libasm-devel-0.155-2.4.1
libasm1-0.155-2.4.1
libasm1-debuginfo-0.155-2.4.1
libdw-devel-0.155-2.4.1
libdw1-0.155-2.4.1
libdw1-debuginfo-0.155-2.4.1
libebl-devel-0.155-2.4.1
libebl1-0.155-2.4.1
libebl1-debuginfo-0.155-2.4.1
libelf-devel-0.155-2.4.1
libelf1-0.155-2.4.1
libelf1-debuginfo-0.155-2.4.1

- openSUSE 12.3 (x86_64):

libasm1-32bit-0.155-2.4.1
libasm1-debuginfo-32bit-0.155-2.4.1
libdw1-32bit-0.155-2.4.1
libdw1-debuginfo-32bit-0.155-2.4.1
libebl1-32bit-0.155-2.4.1
libebl1-debuginfo-32bit-0.155-2.4.1
libelf-devel-32bit-0.155-2.4.1
libelf1-32bit-0.155-2.4.1
libelf1-debuginfo-32bit-0.155-2.4.1


References:

http://support.novell.com/security/cve/CVE-2014-0172.html
https://bugzilla.novell.com/872785


< Previous Next >
This Thread
  • No further messages